Bug 643809 - Bad permissions on tomcat folders
Summary: Bad permissions on tomcat folders
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: tomcat6
Version: 6.0
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: David Knox
QA Contact: qe-baseos-daemons
URL:
Whiteboard:
: 634863 655191 (view as bug list)
Depends On:
Blocks: sat541-rhel6-sat
TreeView+ depends on / blocked
 
Reported: 2010-10-18 07:51 UTC by Jan Pazdziora
Modified: 2015-11-02 00:15 UTC (History)
6 users (show)

Fixed In Version: tomcat6-6.0.24-25.el6
Doc Type: Bug Fix
Doc Text:
Clone Of: 605335
Environment:
Last Closed: 2011-05-19 10:58:41 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0791 normal SHIPPED_LIVE Moderate: tomcat6 security and bug fix update 2011-05-19 10:58:07 UTC

Description Jan Pazdziora 2010-10-18 07:51:34 UTC
+++ This bug was initially created as a clone of Bug #605335 +++

Description of problem:

A number of standard tomcat folders is missing tomcat group write permission

Version-Release number of selected component (if applicable):

tomcat6-6.0.20-2.fc13.noarch

How reproducible:

always

Steps to Reproduce:
1. yum install tomcat6
2. service tomcat6 start
3.
  
Actual results:

Log files missing, applications fail with "No output folder" and other errors.'

group write permission missing on
/var/lib/tomcat6/webapps/
/var/log/tomcat6/
/var/cache/tomcat6/temp
/var/cache/tomcat6/work

Expected results:

Permissions set up allowing tomcat to work.

Additional info:

--- Additional comment from mzazrivec@redhat.com on 2010-08-04 08:24:16 EDT ---

This bug is a blocker for a successful Spacewalk 1.1 @ Fedora-13
installation.

Updated tomcat6 for Fedora-13 would be very much appreciated.

--- Additional comment from johan@x-tnd.be on 2010-09-09 10:41:46 EDT ---

Issue is still present, it is not possible to get tomcat running "out-of-the-package", had to change rights myself.

PS: this bug was assigned to 'orphan', I've ressigned it to the default for th component

--- Additional comment from paji@redhat.com on 2010-09-09 13:36:04 EDT ---

*** Bug 627895 has been marked as a duplicate of this bug. ***

--- Additional comment from jpazdziora@redhat.com on 2010-09-15 04:23:21 EDT ---

David, we will likely need similar fix for RHEL 6, for Satellite. Do you want me to clone this bugzilla for RHEL 6?

--- Additional comment from updates@fedoraproject.org on 2010-10-12 14:20:08 EDT ---

tomcat6-6.0.26-3.fc12 has been submitted as an update for Fedora 12.
https://admin.fedoraproject.org/updates/tomcat6-6.0.26-3.fc12

--- Additional comment from updates@fedoraproject.org on 2010-10-12 16:58:42 EDT ---

tomcat6-6.0.26-11.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/tomcat6-6.0.26-11.fc13

--- Additional comment from updates@fedoraproject.org on 2010-10-14 02:25:56 EDT ---

tomcat6-6.0.26-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tomcat6'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/tomcat6-6.0.26-3.fc12

Comment 1 Jan Pazdziora 2010-10-18 07:51:51 UTC
I believe similar fix is needed for RHEL 6.

Comment 2 Jan Pazdziora 2010-10-18 07:52:44 UTC
Please note that there already is a bug 634863 but that one only mentions the log directories. This one is about general group permissions on directories that tomcat6 uses.

Comment 4 David Knox 2010-12-06 16:38:38 UTC
*** Bug 655191 has been marked as a duplicate of this bug. ***

Comment 10 errata-xmlrpc 2011-05-19 10:58:41 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0791.html

Comment 11 David Knox 2011-07-07 15:53:50 UTC
*** Bug 634863 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.